aboutsummaryrefslogtreecommitdiff
path: root/src/mpdscribble/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'src/mpdscribble/rc.d')
-rwxr-xr-xsrc/mpdscribble/rc.d37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/mpdscribble/rc.d b/src/mpdscribble/rc.d
new file mode 100755
index 0000000..8071c0d
--- /dev/null
+++ b/src/mpdscribble/rc.d
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/mpdscribble`
+case "$1" in
+ start)
+ stat_busy "Starting mpdscribble"
+ [ -z "$PID" ] && /usr/bin/mpdscribble &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/mpdscribble.pid
+ add_daemon mpdscribble
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping mpdscribble"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/mpdscribble.pid
+ rm_daemon mpdscribble
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac